function FileData_Pairs(x)
{
x.t("example","without");
x.t("method","register");
x.t("method","connection");
x.t("method","risks");
x.t("method","receive");
x.t("setexceptionlistener","method");
x.t("implement","iexceptionlistener.onexception");
x.t("implement","exceptionlistener.onexception");
x.t("emsexception","handle");
x.t("various","ems");
x.t("ability","exception");
x.t("fault-tolerant","switchover");
x.t("void","onexception");
x.t("void","closure");
x.t("iexceptionlistener","public");
x.t("experiences","fault-tolerant");
x.t("deadlock","call");
x.t("(tibems_true)","tibemsmsgconsumer.c");
x.t("support","ability");
x.t("register","exception");
x.t("working","example");
x.t("listener","connection");
x.t("listener","apis");
x.t("listener","chapter");
x.t("listener","call");
x.t("listener","setting");
x.t("sample","client");
x.t("public","void");
x.t("public","class");
x.t("connection.setexceptionlistener","(this)");
x.t("connection","onexception");
x.t("connection","java");
x.t("connection","breaks");
x.t("connection","object\u2019s");
x.t("connection","gets");
x.t("however","event");
x.t("onexception","emsexception");
x.t("onexception","tibemsconnection");
x.t("onexception","error");
x.t("onexception","function");
x.t("onexception","null");
x.t("onexception","jmsexception");
x.t("tibco.ems.tibems.setexceptiononftswitch","(true)");
x.t("apis","support");
x.t("(this)","com.tibco.tibjms.tibjms.setexceptiononftswitch");
x.t("property","register");
x.t("disconnect","exception");
x.t("new","server");
x.t("tibems_status","reason");
x.t("invoked","connection");
x.t("status","tibemsconnection_setexceptionlistener");
x.t("ems","method");
x.t("ems","methods");
x.t("ems","client");
x.t("com.tibco.tibjms.tibjms.setexceptiononftswitch","(true)");
x.t("url","fault-tolerant");
x.t("handle","exception");
x.t("handle","exceptions");
x.t("tibemsconnection_setexceptionlistener","connection");
x.t("tibemsconnection_setexceptionlistener","function");
x.t("tibemsconnection","conn");
x.t("(true)","csmsgconsumer.cs");
x.t("(true)","tibjmsmsgconsumer.java");
x.t("handler","fault-tolerant");
x.t("handler","allowed");
x.t("handler","call");
x.t("methods","without");
x.t("exceptionlistener","public");
x.t("exceptionlistener","property");
x.t("csmsgconsumer.cs","sample");
x.t("risks","deadlock");
x.t("developing","ems");
x.t("error","encountered");
x.t("tibems_setexceptiononftswitch","(tibems_true)");
x.t("tibems_setexceptiononftswitch","call");
x.t("allowed","call");
x.t("setexceptiononftswitch","method");
x.t("setexceptiononftswitch","call");
x.t("reason","void");
x.t("implements","exceptionlistener");
x.t("function","handle");
x.t("function","call");
x.t("conn","tibems_status");
x.t("chapter","developing");
x.t("receive","exception");
x.t("define","onexception");
x.t("tibjmsmsgconsumer","implements");
x.t("tibems.setexceptiononftswitch","call");
x.t("client","working");
x.t("client","application");
x.t("iexceptionlistener.onexception","method");
x.t("closure","handle");
x.t("tibco","software");
x.t("switchover","void");
x.t("switchover","public");
x.t("switchover","event");
x.t("switchover","occurred");
x.t("switchover","exception");
x.t("event","fault-tolerant");
x.t("event","disconnect");
x.t("java","implement");
x.t("occurred","following");
x.t("establish","exception");
x.t("exceptionlistener.onexception","method");
x.t("null","tibems_setexceptiononftswitch");
x.t("connection.exceptionlistener","tibco.ems.tibems.setexceptiononftswitch");
x.t("tibjmsmsgconsumer.java","sample");
x.t("tibemsmsgconsumer.c","sample");
x.t("csmsgconsumer","iexceptionlistener");
x.t("exception","listener");
x.t("exception","connection.setexceptionlistener");
x.t("exception","status");
x.t("exception","handler");
x.t("exception","connection.exceptionlistener");
x.t("exception","contains");
x.t("breaks","experiences");
x.t("encountered","call");
x.t("examples","demonstrate");
x.t("application","setting");
x.t("problem","however");
x.t("jmsexception","handle");
x.t("object\u2019s","setexceptionlistener");
x.t("object\u2019s","exceptionlistener");
x.t("call","implement");
x.t("call","various");
x.t("call","onexception");
x.t("call","ems");
x.t("call","tibems_setexceptiononftswitch");
x.t("call","setexceptiononftswitch");
x.t("call","define");
x.t("call","tibems.setexceptiononftswitch");
x.t("call","tibco");
x.t("call","exception");
x.t("call","tibjms.setexceptiononftswitch");
x.t("following","examples");
x.t("setting","exception");
x.t("demonstrate","establish");
x.t("class","tibjmsmsgconsumer");
x.t("class","csmsgconsumer");
x.t("without","setexceptiononftswitch");
x.t("without","problem");
x.t("exceptions","tibemsconnection_setexceptionlistener");
x.t("gets","invoked");
x.t("contains","new");
x.t("server","url");
x.t("tibjms.setexceptiononftswitch","call");
}
